diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSPluginInstanceTab.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSPluginInstanceTab.java
index 3e50148f363e50874340463fedf4dc55fc11dfb3..d4fb62340ca49cb0a64efdf2703ace866e779dee 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSPluginInstanceTab.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSPluginInstanceTab.java
@@ -21,11 +21,10 @@ import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.ug.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -148,7 +147,7 @@ public abstract class CMSPluginInstanceTab extends CMSBaseUGTab {
 				
 			dialog.setModel(mModel);
 			dialog.setInstanceScope(mScope);
-            dialog.showDialog(response, data.getValue(RULE_NAME));
+            dialog.showDialog(response, data.get(RULE_NAME));
             
             if(!dialog.isOK()) return;
 
@@ -329,7 +328,7 @@ public abstract class CMSPluginInstanceTab extends CMSBaseUGTab {
         NameValuePairs response;
         NameValuePairs request = new NameValuePairs();
         if (mId != null && mId.length() > 0) {
-            request.add(Constants.PR_ID, mId);
+            request.put(Constants.PR_ID, mId);
         }
 
         try {
@@ -349,22 +348,20 @@ public abstract class CMSPluginInstanceTab extends CMSBaseUGTab {
 
         Debug.println(response.toString());
 
-        Enumeration e = response.getNames();
-        
-        
 		/* 	format of each data element:
 			plugin;visibility;enabled
 				where plugin is the name of the plugin impl
 				visibility is one of {visible,invisible}
 				enabled is one of {enabled,disabled}
 		*/
-        while (e.hasMoreElements()) {
+
+        for (String entry : response.keySet()) {
 			String plugin="";
 			String visibility=null;
 			String enabled=null;
 
-        	String entry = ((String)e.nextElement()).trim();
-            String value = response.getValue(entry);
+            entry = entry.trim();
+            String value = response.get(entry);
 
 			StringTokenizer st = new StringTokenizer(value,";");
 
@@ -382,10 +379,10 @@ Debug.println("xxxxxxx plugin " + plugin);
 			if (visibility != null && visibility.equals("visible")) {
 
                	NameValuePairs data = new NameValuePairs();
-               	data.add(RULE_NAME,entry);
-               	data.add(RULE_IMPL,plugin);
+		data.put(RULE_NAME, entry);
+		data.put(RULE_IMPL, plugin);
 				if (enabled != null) {
-               		data.add(RULE_STAT,enabled);
+			data.put(RULE_STAT, enabled);
 				}
                	mDataModel.processData(data);
 			}
@@ -411,7 +408,7 @@ Debug.println("xxxxxxx plugin " + plugin);
         try {
             mConnection.delete(mDestination,
                                mScope,
-                               data.getValue(RULE_NAME));
+                               data.get(RULE_NAME));
         } catch (EAdminException e) {
             //display error dialog
             showErrorDialog(e.getMessage());
@@ -431,12 +428,12 @@ Debug.println("xxxxxxx plugin " + plugin);
             mDataModel.getObjectValueAt(mTable.getSelectedRow());
         NameValuePairs request = new NameValuePairs();
         if (mId != null && mId.length() > 0) {
-            request.add(mId, "");
+            request.put(mId, "");
         }
             
         NameValuePairs response = mConnection.read(mDestination,
                                                    mScope,
-                                                   data.getValue(RULE_NAME),
+                                                   data.get(RULE_NAME),
                                                    request);
         return response;
     }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSRACLMPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSRACLMPanel.java
index 3b2ee1ce46b26d9fdcf837f5eb6685a31177ad43..734425b41e16a4875fd5bb3aaf811ce662232ee3 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSRACLMPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSRACLMPanel.java
@@ -138,12 +138,12 @@ public class CMSRACLMPanel extends CMSBaseTab {
     public void refresh() {
         mModel.progressStart();
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_RENEWAL_ENABLED, "");
-        nvps.add(Constants.PR_RENEWAL_VALIDITY, "");
-        nvps.add(Constants.PR_RENEWAL_EMAIL, "");
-        nvps.add(Constants.PR_RENEWAL_EXPIREDNOTIFIEDENABLED, "");
-        nvps.add(Constants.PR_RENEWAL_NUMNOTIFICATION, "");
-        nvps.add(Constants.PR_RENEWAL_INTERVAL, "");
+        nvps.put(Constants.PR_RENEWAL_ENABLED, "");
+        nvps.put(Constants.PR_RENEWAL_VALIDITY, "");
+        nvps.put(Constants.PR_RENEWAL_EMAIL, "");
+        nvps.put(Constants.PR_RENEWAL_EXPIREDNOTIFIEDENABLED, "");
+        nvps.put(Constants.PR_RENEWAL_NUMNOTIFICATION, "");
+        nvps.put(Constants.PR_RENEWAL_INTERVAL, "");
 
         try {
             NameValuePairs val = mAdmin.read(DestDef.DEST_RA_ADMIN,
@@ -162,23 +162,22 @@ public class CMSRACLMPanel extends CMSBaseTab {
     protected void populate(NameValuePairs nvps) {
         boolean renewalEnabled = false;
         boolean notificationEnabled = false;
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name);
             if (name.equals(Constants.PR_RENEWAL_ENABLED)) {
-                renewalEnabled = getBoolean(nvp.getValue());
+                renewalEnabled = getBoolean(value);
                 mRenewEnable.setSelected(renewalEnabled);
             } else if (name.equals(Constants.PR_RENEWAL_EXPIREDNOTIFIEDENABLED)) {
-                notificationEnabled = getBoolean(nvp.getValue());
+                notificationEnabled = getBoolean(value);
                 mNotifyEnable.setSelected(notificationEnabled);
             } else if (name.equals(Constants.PR_RENEWAL_VALIDITY)) {
-                mValidText.setText(nvp.getValue());                
+                mValidText.setText(value);
             } else if (name.equals(Constants.PR_RENEWAL_EMAIL)) {   
-                mEmailText.setText(nvp.getValue());
+                mEmailText.setText(value);
             } else if (name.equals(Constants.PR_RENEWAL_NUMNOTIFICATION)) {
-                mNotifiedText.setText(nvp.getValue());
+                mNotifiedText.setText(value);
             } else if (name.equals(Constants.PR_RENEWAL_INTERVAL)) {
-                mIntervalText.setText(nvp.getValue());
+                mIntervalText.setText(value);
             }
         }
 
@@ -254,7 +253,7 @@ public class CMSRACLMPanel extends CMSBaseTab {
     public boolean applyCallback() {
         NameValuePairs nvps = new NameValuePairs();
         if (mRenewEnable.isSelected()) {
-            nvps.add(Constants.PR_RENEWAL_ENABLED, Constants.TRUE);
+            nvps.put(Constants.PR_RENEWAL_ENABLED, Constants.TRUE);
             String validStr = mValidText.getText();
             try {
                 int num = Integer.parseInt(validStr);
@@ -262,12 +261,12 @@ public class CMSRACLMPanel extends CMSBaseTab {
                 showMessageDialog("NUMBERFORMAT");
                 return false;
             }
-            nvps.add(Constants.PR_RENEWAL_VALIDITY, validStr);
+            nvps.put(Constants.PR_RENEWAL_VALIDITY, validStr);
         
             if (mNotifyEnable.isSelected()) {
-                nvps.add(Constants.PR_RENEWAL_EXPIREDNOTIFIEDENABLED, 
-                  Constants.TRUE);
-                nvps.add(Constants.PR_RENEWAL_EMAIL, mEmailText.getText());
+                nvps.put(Constants.PR_RENEWAL_EXPIREDNOTIFIEDENABLED,
+                        Constants.TRUE);
+                nvps.put(Constants.PR_RENEWAL_EMAIL, mEmailText.getText());
                 String numStr = mNotifiedText.getText();
                 String intervalStr = mIntervalText.getText();
 
@@ -279,14 +278,14 @@ public class CMSRACLMPanel extends CMSBaseTab {
                     return false;
                 }
 
-                nvps.add(Constants.PR_RENEWAL_NUMNOTIFICATION, numStr);
-                nvps.add(Constants.PR_RENEWAL_INTERVAL, intervalStr);
+                nvps.put(Constants.PR_RENEWAL_NUMNOTIFICATION, numStr);
+                nvps.put(Constants.PR_RENEWAL_INTERVAL, intervalStr);
             } else {
-                nvps.add(Constants.PR_RENEWAL_EXPIREDNOTIFIEDENABLED, 
-                  Constants.FALSE);
+                nvps.put(Constants.PR_RENEWAL_EXPIREDNOTIFIEDENABLED,
+                        Constants.FALSE);
             }
         } else {
-            nvps.add(Constants.PR_RENEWAL_ENABLED, Constants.FALSE);
+            nvps.put(Constants.PR_RENEWAL_ENABLED, Constants.FALSE);
         }
 
         mModel.progressStart();
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSRAConnectorPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSRAConnectorPanel.java
index 34b351ea495918ebc7ca2d51e5f8fc5b940118c5..7733a43d7a8a8e4b6b5f50334d994998ed9612a7 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSRAConnectorPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSRAConnectorPanel.java
@@ -18,15 +18,12 @@
 package com.netscape.admin.certsrv.config;
 
 import com.netscape.admin.certsrv.*;
-import com.netscape.management.client.*;
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.border.*;
 import java.awt.*;
 import java.awt.event.*;
-import java.util.*;
 
 /**
  * RA Connector Panel
@@ -164,15 +161,15 @@ public class CMSRAConnectorPanel  extends CMSBaseTab
             JFrame frame = mModel.getFrame();
             String name = (String)mList.getSelectedValue();
             NameValuePairs nvps = new NameValuePairs();
-            nvps.add(Constants.PR_ID, "");
-            nvps.add(Constants.PR_HOST, "");
-            nvps.add(Constants.PR_PORT, "");
+            nvps.put(Constants.PR_ID, "");
+            nvps.put(Constants.PR_HOST, "");
+            nvps.put(Constants.PR_PORT, "");
             // Inserted by beomsuk
-            nvps.add(Constants.PR_TIMEOUT, "");
+            nvps.put(Constants.PR_TIMEOUT, "");
             // Insert end
-            nvps.add(Constants.PR_URI, "");
-            nvps.add(Constants.PR_LOCAL, "");
-            nvps.add(Constants.PR_ENABLE, "");
+            nvps.put(Constants.PR_URI, "");
+            nvps.put(Constants.PR_LOCAL, "");
+            nvps.put(Constants.PR_ENABLE, "");
 
             try {
                 NameValuePairs values = mAdmin.read(DestDef.DEST_RA_ADMIN,
@@ -183,7 +180,7 @@ public class CMSRAConnectorPanel  extends CMSBaseTab
  
                 boolean colocated = false;
                 if (name.equals("Data Recovery Manager Connector")) {
-                    String val = values.getValue("id");
+                    String val = values.get("id");
                     if (val != null && val.equals("kra"))
                         colocated = true;
                 }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSRAGeneralPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSRAGeneralPanel.java
index f7ed785b5aada891000d059af1bd54b7527c4177..6605385b089e498c31dbe87b6a8764fb90bfa085 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSRAGeneralPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSRAGeneralPanel.java
@@ -100,7 +100,7 @@ public class CMSRAGeneralPanel extends CMSBaseTab {
     public void refresh() {
         mModel.progressStart();
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_EE_ENABLED, "");
+        nvps.put(Constants.PR_EE_ENABLED, "");
         //nvps.add(Constants.PR_RA_ENABLED, "");
 
         try {
@@ -118,14 +118,13 @@ public class CMSRAGeneralPanel extends CMSBaseTab {
 
     protected void populate(NameValuePairs nvps) {
         Debug.println("RA General Received: "+nvps.toString());
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name);
             if (name.equals(Constants.PR_EE_ENABLED)) {
-                mEEEnable.setSelected(getBoolean(nvp.getValue()));
+                mEEEnable.setSelected(getBoolean(value));
 /*
             } else if (name.equals(Constants.PR_RA_ENABLED)) {
-                mRAEnable.setSelected(getBoolean(nvp.getValue()));
+                mRAEnable.setSelected(getBoolean(value));
 */
             }
         }
@@ -149,9 +148,9 @@ public class CMSRAGeneralPanel extends CMSBaseTab {
         NameValuePairs nvps = new NameValuePairs();
 
         if (mEEEnable.isSelected())
-            nvps.add(Constants.PR_EE_ENABLED, Constants.TRUE);
+            nvps.put(Constants.PR_EE_ENABLED, Constants.TRUE);
         else
-            nvps.add(Constants.PR_EE_ENABLED, Constants.FALSE);
+            nvps.put(Constants.PR_EE_ENABLED, Constants.FALSE);
 
 /*
         if (mRAEnable.isSelected())
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSSMTPPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSSMTPPanel.java
index 2f5aeb593da4b9c56977ead443e88561d6bb05c0..0275e3cb00709ab6d43fc2b5374c1879f4253d8c 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSSMTPPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSSMTPPanel.java
@@ -87,8 +87,8 @@ public class CMSSMTPPanel extends CMSBaseTab {
     public void refresh() {
         mModel.progressStart();
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_SERVER_NAME, "");
-        nvps.add(Constants.PR_PORT, "");
+        nvps.put(Constants.PR_SERVER_NAME, "");
+        nvps.put(Constants.PR_PORT, "");
         try {
             NameValuePairs val = mAdmin.read(DestDef.DEST_SERVER_ADMIN,
               ScopeDef.SC_SMTP, Constants.RS_ID_CONFIG, nvps);
@@ -104,13 +104,12 @@ public class CMSSMTPPanel extends CMSBaseTab {
     }
 
     private void populate(NameValuePairs nvps) {
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name);
             if (name.equals(Constants.PR_SERVER_NAME)) {
-                mServerText.setText(nvp.getValue());
+                mServerText.setText(value);
             } else if (name.equals(Constants.PR_PORT)) {
-                mPortText.setText(nvp.getValue());
+                mPortText.setText(value);
             }
         }
     }
@@ -143,8 +142,8 @@ public class CMSSMTPPanel extends CMSBaseTab {
         }
 
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_SERVER_NAME, mServerText.getText().trim());
-        nvps.add(Constants.PR_PORT, port);
+        nvps.put(Constants.PR_SERVER_NAME, mServerText.getText().trim());
+        nvps.put(Constants.PR_PORT, port);
         mModel.progressStart();
         try {
             mAdmin.modify(DestDef.DEST_SERVER_ADMIN,
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSSNMPPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSSNMPPanel.java
index 8ef18cc794545ea3bed30bf12e3576f75b5816f2..b5b589eb0428facbf59130afb0cec5dd604d24dc 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSSNMPPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSSNMPPanel.java
@@ -147,13 +147,13 @@ public class CMSSNMPPanel extends CMSBaseTab {
     public void refresh() {
         mModel.progressStart();
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_SNMP_ENABLED, "");
-        nvps.add(Constants.PR_SNMP_MASTER_HOST, "");
-        nvps.add(Constants.PR_SNMP_MASTER_PORT, "");
-        nvps.add(Constants.PR_SNMP_DESC, "");
-        nvps.add(Constants.PR_SNMP_ORGN, "");
-        nvps.add(Constants.PR_SNMP_LOC, "");
-        nvps.add(Constants.PR_SNMP_CONTACT, "");
+        nvps.put(Constants.PR_SNMP_ENABLED, "");
+        nvps.put(Constants.PR_SNMP_MASTER_HOST, "");
+        nvps.put(Constants.PR_SNMP_MASTER_PORT, "");
+        nvps.put(Constants.PR_SNMP_DESC, "");
+        nvps.put(Constants.PR_SNMP_ORGN, "");
+        nvps.put(Constants.PR_SNMP_LOC, "");
+        nvps.put(Constants.PR_SNMP_CONTACT, "");
 
         try {
             NameValuePairs val = mAdmin.read(DestDef.DEST_SERVER_ADMIN,
@@ -170,23 +170,22 @@ public class CMSSNMPPanel extends CMSBaseTab {
     }
 
     private void populate(NameValuePairs nvps) {
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name);
             if (name.equals(Constants.PR_SNMP_ENABLED)) {
-                mEnable.setSelected(getBoolean(nvp));                
+                mEnable.setSelected(getBoolean(value));
             } else if (name.equals(Constants.PR_SNMP_MASTER_HOST)) {
-                mHostNameText.setText(nvp.getValue());
+                mHostNameText.setText(value);
             } else if (name.equals(Constants.PR_SNMP_MASTER_PORT)) {
-                mPortText.setText(nvp.getValue());
+                mPortText.setText(value);
             } else if (name.equals(Constants.PR_SNMP_DESC)) {
-                mDescText.setText(nvp.getValue());
+                mDescText.setText(value);
             } else if (name.equals(Constants.PR_SNMP_ORGN)) {
-                mOrgnText.setText(nvp.getValue());
+                mOrgnText.setText(value);
             } else if (name.equals(Constants.PR_SNMP_LOC)) {
-                mLocText.setText(nvp.getValue());
+                mLocText.setText(value);
             } else if (name.equals(Constants.PR_SNMP_CONTACT)) {
-                mContactText.setText(nvp.getValue());
+                mContactText.setText(value);
             }
         }
 
@@ -196,8 +195,8 @@ public class CMSSNMPPanel extends CMSBaseTab {
             enableTextField(false, getBackground());
     }
 
-    public boolean getBoolean(NameValuePair nvp) {
-        if (nvp.getValue().equals(Constants.TRUE))
+    public boolean getBoolean(String value) {
+        if (value.equals(Constants.TRUE))
             return true;
         return false;
     }
@@ -261,16 +260,16 @@ public class CMSSNMPPanel extends CMSBaseTab {
 
         NameValuePairs nvps = new NameValuePairs();
         if (mEnable.isSelected())
-            nvps.add(Constants.PR_SNMP_ENABLED, Constants.TRUE);
+            nvps.put(Constants.PR_SNMP_ENABLED, Constants.TRUE);
         else
-            nvps.add(Constants.PR_SNMP_ENABLED, Constants.FALSE);
+            nvps.put(Constants.PR_SNMP_ENABLED, Constants.FALSE);
 
-        nvps.add(Constants.PR_SNMP_MASTER_HOST, mHostNameText.getText().trim());
-        nvps.add(Constants.PR_SNMP_MASTER_PORT, port);
-        nvps.add(Constants.PR_SNMP_DESC, mDescText.getText().trim()); 
-        nvps.add(Constants.PR_SNMP_ORGN, mOrgnText.getText().trim());
-        nvps.add(Constants.PR_SNMP_LOC, mLocText.getText().trim());
-        nvps.add(Constants.PR_SNMP_CONTACT, mContactText.getText().trim());
+        nvps.put(Constants.PR_SNMP_MASTER_HOST, mHostNameText.getText().trim());
+        nvps.put(Constants.PR_SNMP_MASTER_PORT, port);
+        nvps.put(Constants.PR_SNMP_DESC, mDescText.getText().trim());
+        nvps.put(Constants.PR_SNMP_ORGN, mOrgnText.getText().trim());
+        nvps.put(Constants.PR_SNMP_LOC, mLocText.getText().trim());
+        nvps.put(Constants.PR_SNMP_CONTACT, mContactText.getText().trim());
 
         mModel.progressStart();
         try {
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSSelfTestsPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSSelfTestsPanel.java
index 712beb32b7c04fd80c4196d4368f0690eb75d862..ab957a69ca553c6ac6baf108b33712664698357d 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSSelfTestsPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSSelfTestsPanel.java
@@ -23,7 +23,6 @@ import com.netscape.certsrv.common.*;
 import com.netscape.management.client.util.*;
 import java.awt.*;
 import java.awt.event.*;
-import java.util.*;
 import javax.swing.*;
 import javax.swing.border.*;
 
@@ -147,7 +146,7 @@ public class CMSSelfTestsPanel extends CMSBaseTab
         NameValuePairs nvps = new NameValuePairs();
         NameValuePairs nvps1;
   
-        nvps.add( Constants.PR_RUN_SELFTESTS_ON_DEMAND, Constants.TRUE );
+        nvps.put(Constants.PR_RUN_SELFTESTS_ON_DEMAND, Constants.TRUE);
   
         if( evt.getSource().equals( mOnDemand ) ) {
             Debug.println( "Run self tests on-demand . . ." );
@@ -161,13 +160,14 @@ public class CMSSelfTestsPanel extends CMSBaseTab
                 // show server response
                 String responseClass = "";
                 String response = "";
-                for( int i = 0; i < nvps1.size(); i++ ) {
-                    if( i == 0 ) {
-                        responseClass = nvps1.elementAt( i ).getValue();
+                boolean first = true;
+                for (String name : nvps1.keySet()) {
+                    String value = nvps1.get(name);
+                    if (first) {
+                        first = false;
+                        responseClass = value;
                     } else {
-                        response = response
-                                 + nvps1.elementAt( i ).getValue()
-                                 + "\n";
+                        response = response + value + "\n";
                     }
                 }
 
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSUserCertSettingPanel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSUserCertSettingPanel.java
index a4b7740f51747a239d5922182797bc397c60f511..ca424c3a0a65ee95651a9c18785d6127582cfdff 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CMSUserCertSettingPanel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CMSUserCertSettingPanel.java
@@ -20,8 +20,7 @@ package com.netscape.admin.certsrv.config;
 import com.netscape.admin.certsrv.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.management.client.util.*;
-import javax.swing.*;
-import java.awt.*;
+
 import java.awt.event.*;
 
 /**
@@ -77,8 +76,8 @@ public class CMSUserCertSettingPanel extends CMSCertSettingPanel {
     public void refresh() {
         _model.progressStart();
         NameValuePairs nvp = new NameValuePairs();
-        nvp.add(Constants.PR_MAPPER, "");
-        nvp.add(Constants.PR_PUBLISHER, "");
+        nvp.put(Constants.PR_MAPPER, "");
+        nvp.put(Constants.PR_PUBLISHER, "");
 
         try {
             NameValuePairs val = _admin.read(_servletName,
@@ -142,13 +141,12 @@ public class CMSUserCertSettingPanel extends CMSCertSettingPanel {
     }
 
     private void populate(NameValuePairs nvps) {
-        for (int i=0; i<nvps.size(); i++) {
-            NameValuePair nvp = nvps.elementAt(i);
-            String name = nvp.getName();
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name);
             if (name.equals(Constants.PR_MAPPER)) {
-                _mapper.setText(nvp.getValue());
+                _mapper.setText(value);
             } else if (name.equals(Constants.PR_PUBLISHER)) {
-                _publisher.setText(nvp.getValue());
+                _publisher.setText(value);
             }
         }
     }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CRLExtensionsRuleDataModel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CRLExtensionsRuleDataModel.java
index 15f2ca3d32259e50499e0c3c431967a81e6ae834..e5ae9352ad1826180edba600117b84b73bee0ecf 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CRLExtensionsRuleDataModel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CRLExtensionsRuleDataModel.java
@@ -20,7 +20,6 @@ package com.netscape.admin.certsrv.config;
 import java.util.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.management.client.util.Debug;
 
@@ -52,19 +51,19 @@ public class CRLExtensionsRuleDataModel extends CMSRuleDataModel
         Vector v = new Vector();
         NameValuePairs obj = (NameValuePairs) data;
 
-        if (obj.getValue(RULE_STAT).equalsIgnoreCase("enabled")) {
-            v.addElement(new JLabel(obj.getValue(RULE_NAME),
+        if (obj.get(RULE_STAT).equalsIgnoreCase("enabled")) {
+            v.addElement(new JLabel(obj.get(RULE_NAME),
                     CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE),
                     JLabel.LEFT));
             v.addElement(mResource.getString("CRLEXTSRULE_LABEL_ENABLED_LABEL"));       
         } else {
-            v.addElement(new JLabel(obj.getValue(RULE_NAME),
+            v.addElement(new JLabel(obj.get(RULE_NAME),
                     CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE_DISABLE),
                     JLabel.LEFT));
             v.addElement(mResource.getString("CRLEXTSRULE_LABEL_DISABLED_LABEL"));
         }
         addRow(v, data);
-        mRules.addElement(obj.getValue(RULE_NAME));
+        mRules.addElement(obj.get(RULE_NAME));
     }
 
 }
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/CRLIPEditor.java b/pki/base/console/src/com/netscape/admin/certsrv/config/CRLIPEditor.java
index ea7d78c4fbe74b9f6148bb08da7f7aa050dedb3d..040b21b83daeebd9b6b5cbdd5a8495629ceb67a1 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/CRLIPEditor.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/CRLIPEditor.java
@@ -18,16 +18,12 @@
 package com.netscape.admin.certsrv.config;
 
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.config.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.event.*;
-import javax.swing.table.*;
-import javax.swing.text.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -106,10 +102,8 @@ public class CRLIPEditor extends JDialog implements ActionListener {
 
     public void showDialog(NameValuePairs values) {
 
-        for (int i=0; i<values.size(); i++) {
-            NameValuePair nvp = values.elementAt(i);
-            String name = nvp.getName();
-            String val = nvp.getValue();
+        for (String name : values.keySet()) {
+            String val = values.get(name);
             if ((mName == null || mName.length() == 0) &&
                 name.equals(Constants.PR_ID)) {
                 mNameText.setText(val);
@@ -284,17 +278,17 @@ public class CRLIPEditor extends JDialog implements ActionListener {
             NameValuePairs nvps = new NameValuePairs();
 
             if (mName != null && mName.length() > 0) {
-                nvps.add(Constants.PR_ID, mName);
+                nvps.put(Constants.PR_ID, mName);
             } else {
-                nvps.add(Constants.PR_ID, mNameText.getText().trim());
+                nvps.put(Constants.PR_ID, mNameText.getText().trim());
             }
 
-            nvps.add(Constants.PR_DESCRIPTION, mDescText.getText().trim());
+            nvps.put(Constants.PR_DESCRIPTION, mDescText.getText().trim());
 
             if (mEnable) {
-                nvps.add(Constants.PR_ENABLED, Constants.TRUE);
+                nvps.put(Constants.PR_ENABLED, Constants.TRUE);
             } else {
-                nvps.add(Constants.PR_ENABLED, Constants.FALSE);
+                nvps.put(Constants.PR_ENABLED, Constants.FALSE);
             }
 
             try {
